org.apache.lucene.queries.function

## Class BoostedQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.lucene.queries.function.BoostedQuery

Deprecated.
Use `FunctionScoreQuery.boostByValue(Query, DoubleValuesSource)`

    @Deprecated
    public final class BoostedQuery
    extends Query

Query that is boosted by a ValueSource

### Constructor Summary

Constructors
Constructor and Description
`BoostedQuery(Query subQuery, ValueSource boostVal)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`Weight` `createWeight(IndexSearcher searcher, boolean needsScores, float boost)` Deprecated.
`boolean` `equals(Object other)` Deprecated.
`Query` `getQuery()` Deprecated.
`ValueSource` `getValueSource()` Deprecated.
`int` `hashCode()` Deprecated.
`Query` `rewrite(IndexReader reader)` Deprecated.
`String` `toString(String field)` Deprecated.

### Methods inherited from class org.apache.lucene.search.Query

`classHash, sameClassAs, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BoostedQuery

    public BoostedQuery(Query subQuery,
                        ValueSource boostVal)

Deprecated.

### Method Detail

#### getQuery

    public Query getQuery()

Deprecated.

#### getValueSource

    public ValueSource getValueSource()

Deprecated.

#### rewrite

    public Query rewrite(IndexReader reader)
                  throws IOException

Deprecated.

Overrides:
  `rewrite` in class `Query`
Throws:
  `IOException`

#### createWeight

    public Weight createWeight(IndexSearcher searcher,
                               boolean needsScores,
                               float boost)
                        throws IOException

Deprecated.

Overrides:
  `createWeight` in class `Query`
Throws:
  `IOException`

#### toString

    public String toString(String field)

Deprecated.

Specified by:
  `toString` in class `Query`

#### equals

    public boolean equals(Object other)

Deprecated.

Specified by:
  `equals` in class `Query`

#### hashCode

    public int hashCode()

Deprecated.

Specified by:
  `hashCode` in class `Query`